> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# (Deprecated) Request connect widget URL

> This endpoint will return a URL for an embeddable version of MX Connect.

## Path Parameters

<ParamField path="user_guid" required type="string">
  The unique identifier for a user, beginning with the prefix `USR-`.
</ParamField>

## Request Body

<ParamField path="config" required type="object">
  <Accordion title="Fields">
    <ParamField path="client_redirect_url" type="string" />

    <ParamField path="color_scheme" type="string" />

    <ParamField path="current_institution_code" type="string" />

    <ParamField path="current_member_guid" type="string" />

    <ParamField path="disable_background_agg" type="boolean" />

    <ParamField path="disable_institution_search" type="boolean" />

    <ParamField path="enable_app2app" type="boolean">
      This indicates whether OAuth app2app behavior is enabled for institutions that support it. Defaults to true. When set to false, the widget will not direct the end user to the institution's mobile application. This setting is not persistent. This setting currently only affects Chase institutions.
    </ParamField>

    <ParamField path="include_identity" type="boolean" />

    <ParamField path="include_transactions" type="boolean" />

    <ParamField path="is_mobile_webview" type="boolean" />

    <ParamField path="mode" type="string" />

    <ParamField path="oauth_referral_source" type="string" />

    <ParamField path="ui_message_version" type="integer" />

    <ParamField path="ui_message_webview_url_scheme" type="string" />

    <ParamField path="update_credentials" type="boolean" />
  </Accordion>
</ParamField>

<RequestExample>
  ```bash cURL theme={null}
  curl -L -X POST 'https://int-api.mx.com/users/:user_guid/connect_widget_url' \
  -H 'Content-Type: application/json' \
  -H 'Accept: application/vnd.mx.api.v1+json' \
  -H 'Authorization: Basic BASE_64_ENCODING_OF{client_id:api_key}' \
  --data-raw '{"config":{"client_redirect_url":"https://{yoursite.com}","color_scheme":"light","current_institution_code":"mxbank","current_member_guid":"MBR-7c6f361b-e582-15b6-60c0-358f12466b4b","disable_background_agg":false,"disable_institution_search":false,"enable_app2app":false,"include_identity":false,"include_transactions":true,"is_mobile_webview":false,"mode":"aggregation","oauth_referral_source":"BROWSER","ui_message_version":4,"ui_message_webview_url_scheme":"string","update_credentials":false}}'
  ```

  ```js Node.js theme={null}
  const axios = require('axios');
  let data = JSON.stringify({
    "config": {
      "client_redirect_url": "https://{yoursite.com}",
      "color_scheme": "light",
      "current_institution_code": "mxbank",
      "current_member_guid": "MBR-7c6f361b-e582-15b6-60c0-358f12466b4b",
      "disable_background_agg": false,
      "disable_institution_search": false,
      "enable_app2app": false,
      "include_identity": false,
      "include_transactions": true,
      "is_mobile_webview": false,
      "mode": "aggregation",
      "oauth_referral_source": "BROWSER",
      "ui_message_version": 4,
      "ui_message_webview_url_scheme": "string",
      "update_credentials": false
    }
  });

  let config = {
    method: 'post',
  maxBodyLength: Infinity,
    url: 'https://int-api.mx.com/users/:user_guid/connect_widget_url',
    headers: { 
      'Content-Type': 'application/json', 
      'Accept': 'application/vnd.mx.api.v1+json', 
      'Authorization': 'Basic BASE_64_ENCODING_OF{client_id:api_key}'
    },
    data : data
  };

  axios(config)
  .then((response) => {
    console.log(JSON.stringify(response.data));
  })
  .catch((error) => {
    console.log(error);
  });

  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "user": {
      "connect_widget_url": "https://int-widgets.moneydesktop.com/md/connect/jb1rA14m85tw2lyvpgfx4gc6d3Z8z8Ayb8",
      "guid": "USR-fa7537f3-48aa-a683-a02a-b18940482f54"
    }
  }
  ```
</ResponseExample>
